Bug 428421 - php 5.2.4 does not free arrays and ram is finally exhausted
php 5.2.4 does not free arrays and ram is finally exhausted
Status: CLOSED NOTABUG
Product: Fedora
Classification: Fedora
Component: php (Show other bugs)
8
i386 Linux
low Severity urgent
: ---
: ---
Assigned To: Joe Orton
Fedora Extras Quality Assurance
http://bugs.php.net/bug.php?id=41713
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-01-11 07:54 EST by Pau Aliagas
Modified: 2008-02-10 13:20 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-02-10 13:20:40 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
PHP Bug Tracker 41713 None None None Never

  None (edit)
Description Pau Aliagas 2008-01-11 07:54:48 EST
Description of problem:

php 5.2.4 does not free memory used in arrays

Version-Release number of selected component (if applicable):

up to 5.2.4

How reproducible:

See http://bugs.php.net/bug.php?id=41713
There is a script that creates an array that is not freed.

If you create a huge array taht eats all the RAM, you can observe the httpd
process using more and more ram, swapping and,finally, producinc an OOM to the
kernel who has a very tought time to decide who to kill, as httpd has very feew
points to be killed (daemon, being used often, etc).

I have detected it because we use xmlrpc to pass huge files via post and, after
upgrading, the server easily eats all its ram and swap and collapses.


Steps to Reproduce:
1. start httpd (default config works as it keeps 5 processes open)
2. copy the script and create a huge array
3. watch top (easy to see) or slabinfo for the http process and see that it uses
    more and more memory
  
Actual results:

httpd eats memory which is not freed

Expected results:

httpd processes that do not grow,memory should be freed

Additional info:
Comment 1 Pau Aliagas 2008-01-11 15:10:16 EST
The bug in php bug tracker is solve, so I guess that latest version, 5.2.5,
should fix it.
Comment 2 Pau Aliagas 2008-01-22 18:55:27 EST
Is there anything I can do to help with this issue? Nothing has happened in 11
days. This is an unfortunately well-known bug with an easy solution, it affects
lots of systems and developers. I sincerely think that it shouldn't stay
unattended for longer.

Again, tell me how I can help and I'll do my best.
Comment 3 Pau Aliagas 2008-02-10 13:20:40 EST
I've had a look at rawhide and version 5.2.5 is already available there.
Is it possible to update fedora 8 repos with it? More than one month has passed
since I post this bug, which is a security issue BTW, and still no answer.

Note You need to log in before you can comment on or make changes to this bug.